file.info                package:base                R Documentation

Extract File Information

Description:

     Utility function to extract information about files on the user's
     file systems.

Usage:

     file.info(...)

Arguments:

     ...: character vectors containing file names.

Details:

     What is meant by "file access" and hence the last access time is
     system-dependent.

     On most systems symbolic links are followed, so information is
     given about the file to which the link points rather than about
     the link.

Value:

     A data frame with row names the file names and columns 

    size: integer: File size in bytes.

   isdir: logical: Is the file a directory?

    mode: integer of class '"octmode"'.  The file permissions, printed
          in octal, for example '644'.

mtime, ctime, atime: integer of class '"POSIXct"': file modification,
          creation and last access times.

     uid: integer: the user ID of the file's owner.

     gid: integer: the group ID of the file's group.

   uname: character: 'uid' interpreted as a user name.

  grname: character: 'gid' interpreted as a group name.

     Unknown user and group names will be 'NA'.

     Entries for non-existent or non-readable files will be 'NA'. The
     'uid', 'gid', 'uname' and 'grname' columns may not be supplied on
     a non-POSIX Unix system.

Note:

     This function will only be operational on systems with the 'stat'
     system call, but that seems very widely available.

See Also:

     'files', 'file.access', 'list.files', and 'DateTimeClasses' for
     the date formats.

Examples:

     ncol(finf <- file.info(dir()))# at least six
     ## Not run: finf # the whole list
     ## Those that are more than 100 days old :
     finf[difftime(Sys.time(), finf[,"mtime"], units="days") > 100 , 1:4]

     file.info("no-such-file-exists")

